Name:		host-ctr-scripts
Version:	0.1
Release:	1%{?dist}
Summary:	scripts for connecting host users straight to a running system container

Group:		system
License:	BSD
URL:		https://git.thisco.de/vbatts/host-ctr-scripts
Source0:	ctr-port.conf
Source1:	ctr-create-user.sh
Source2:	ctr-delete-user.sh
Source3:	ctr-wrapper.sh

Requires:	bash
Requires:	btrfs-progs
Requires:	shadow-utils
Requires:	util-linux
Requires:	systemd-container

BuildArch:	noarch

%description
%{summary}.


%prep


%build


%install
%{__mkdir_p} ${RPM_BUILD_ROOT}/etc
%{__mkdir_p} ${RPM_BUILD_ROOT}/usr/local/bin
%{__install} -m 0644 ctr-port.conf ${RPM_BUILD_ROOT}/etc/
%{__install} -m 0755 ctr-wrapper.sh ${RPM_BUILD_ROOT}/usr/local/bin/
%{__install} -m 0755 ctr-create-user.sh ${RPM_BUILD_ROOT}/usr/local/bin/
%{__install} -m 0755 ctr-delete-user.sh ${RPM_BUILD_ROOT}/usr/local/bin/

%files
%config /etc/ctr-port.conf
/usr/local/bin/ctr-create-user.sh
/usr/local/bin/ctr-delete-user.sh
/usr/local/bin/ctr-wrapper.sh


%changelog

